summaryrefslogtreecommitdiffstats
path: root/test/TEST-29-PORTABLE/test.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/TEST-29-PORTABLE/test.sh')
-rwxr-xr-xtest/TEST-29-PORTABLE/test.sh25
1 files changed, 25 insertions, 0 deletions
diff --git a/test/TEST-29-PORTABLE/test.sh b/test/TEST-29-PORTABLE/test.sh
new file mode 100755
index 0000000..d826db6
--- /dev/null
+++ b/test/TEST-29-PORTABLE/test.sh
@@ -0,0 +1,25 @@
+#!/usr/bin/env bash
+# SPDX-License-Identifier: LGPL-2.1-or-later
+# -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
+# ex: ts=8 sw=4 sts=4 et filetype=sh
+set -e
+
+TEST_DESCRIPTION="test systemd-portabled"
+IMAGE_NAME="portabled"
+TEST_NO_NSPAWN=1
+TEST_INSTALL_VERITY_MINIMAL=1
+
+# shellcheck source=test/test-functions
+. "${TEST_BASE_DIR:?}/test-functions"
+
+test_append_files() {
+ instmods squashfs =squashfs
+ instmods dm_verity =md
+ install_dmevent
+ generate_module_dependencies
+ inst_binary mksquashfs
+ inst_binary unsquashfs
+ install_verity_minimal
+}
+
+do_test "$@"